eSIM de Viagem — API
Referência da APIClientes

Atualizar cliente

Edita nome, e-mail e/ou telefone (ex.: cliente trocou de contato). O CPF não é editável. Envie apenas os campos que deseja alterar.

PATCH
/v1/agencies/{agencyId}/customers/{id}
AuthorizationBearer <token>

Chave de API no formato ong_sk_...

In: header

Path Parameters

agencyId*unknown

Agência dentro do escopo da chave

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/agencies/{agencyId}/customers/{id}" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "9b2e6c1a-4f83-4d2b-8a71-2c9e5f0a1b34",  "fullName": "string",  "document": "string",  "email": "string",  "phone": "string",  "createdAt": "2019-08-24T14:15:22Z"}